#ifndef Model_c
#define N0 4		/* 8d2 10h7 16q0 20d4 24d6 26h5 32q4 36s0 64o0 */
#define NN (4*N0)	/* immer klammern! */
#define N1 2
#define N2 0
#define Title "4Sites 2-Orbitale" 
#define Sym       2	/* x x 7 x x x x x x Symmetrien */
#define Sud       1
#define CM(JJ,tJ,tU) tU	  /* Heisenberg-,  t-J- or  Hubbard-model */
/* ================== Cu-Gitter nach Betts =========================== */
#define Nw (6*N0)
#define Ne NN
#define Nv N0
#endif
#define noSBase 1		/* SBase/noSBase = with/without symmetry */ 
#if Model_c
  /*  i=site 0..NN, d=translation rc=i+vec_d */
  int site_move(int i,int dx,int dy,...){ int orb;
    orb=i/N0;i%=N0;
    if(i<0 || orb>1)return -1;while(dx<0)dx+=N0/N1;while(dy<0)dy+=N1;
    i=(i+dx)%(N0/N1)+(i/(N0/N1))*(N0/N1);		/* x-direction */
    i=(i+dy+((i/(N0/N1)+dy)/N1)*(N2-N1+N0/N1))%(N0/N1)+
                   ((i/(N0/N1)+dy)%N1)*(N0/N1);		/* y-direction */
    return(i+orb*N0);}
  int initvars(){ int i;
/*

               |          ||       
           =  0,4 =  8 -  1,5 -  9 =
               |          ||
              12          13
              ||           |
           -  3,7 - 11 =  2,6 = 10 -
              ||           |
              15          14
               |          ||

*/  
#if N1>1 && (N0==4)
    int j,tis[3][NN]={    /* besser: static int tis, int *is[], is=tis, ... */
    {2,3,0,1,6,7,4,5, 10,11, 8, 9,14,15,12,13},
    {1,0,3,2,7,6,5,4,  9, 8,11,10,15,14,13,12},
    {5,6,7,4,3,0,1,2, 13,14,15,12,11, 8, 9,10}}; 
    int tiw[Nw][2]={
    {0, 8},{ 2,10},{ 0, 9},{ 2,11},{  1,13},{ 3,15},{ 1,14},{ 3,12},
    {4,12},{ 6,14},{ 4,15},{ 6,13},{  5, 9},{ 7,11},{ 5, 8},{ 7,10},
    {4, 8},{ 6,10},{ 4, 9},{ 6,11},{  5,13},{ 7,15},{ 5,14},{ 7,12}};
#endif                     
    nu=N0/2;nd=N0/2+N0%2;
#if N1>1 && (N0==4)
    for(i=0;i<3;i++)for(j=0;j<NN;j++)sym.i[i][j]=tis[i][j];
    for(i=0;i<Nw;i++)for(j=0;j<2;j++)iw[i][j]=tiw[i][j];
#else 
#error hmm    
#endif
    for(i=0;i<Nw;i++)wt[i]=(i<2*N0)?-1.3:(i<4*N0)?-1.6:-0.8;
    for(i=0;i<NN;i++)wu[i]=8.0;
    for(i=0;i<NN;i++)we[i]=(i<  N0)? 0.0:(i<2*N0)? 0.5:4.0;
    for(i=0;i<N0;i++){iw2[i][0]=i;iw2[i][1]=i+N0;wu2[i]=6.0;wj2[i]=-1;}
    x_p=0;return 0;}
#endif 


