#ifndef SIGHAND_H

#define SIGHAND_H 1

struct struct_stk { char *p; unsigned long *i; };	/* stack */
extern volatile int sig1;	/* set by SIGUSR1, static		*/
extern int stkptr;		/* stackpointer */
extern struct struct_stk stk[20];	/* stack */
extern unsigned long starttime;
int ini_handler(int vvv);	/* initialisation, vvv=verbosemode	*/
void o_stack();			/* stack ausgeben */

long itime();
long iclock();

/* ========= name="pg-name" lvar=&long-variable ========== */
#ifdef __sun
#define STKa(name,lvar) { stk[stkptr].p=(const char *)name;stk[stkptr].i=lvar;stkptr++; }
#else
#define STKa(name,lvar) { stk[stkptr].p=name;stk[stkptr].i=lvar;stkptr++; }
#endif
#define STKe() { stkptr--; }
#define STKo() o_stack()

/* better (faster) than function (inlined), no OV-control -> CONFIG_DEBUG? */

#endif
